using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Configuration;
using System.Web;
using facebook;
using facebook.Schema;
using facebook.web;

public partial class _Default : System.Web.UI.Page
{
	API facebookAPI;

	protected void Page_Load(object sender, EventArgs e)
	{
		facebookAPI = ((CanvasIFrameMasterPage)Master).API; 

		if (!IsPostBack)
        {
            // Use the FacebookService Component to populate Friends
			IList<user> Friends = facebookAPI.friends.getUserObjects();
            for (int i = 0; i < Friends.Count; i++)
                friendNames.Controls.Add(new System.Web.UI.LiteralControl(Friends[i].first_name.ToString() + "<br/>"));
        }
    }

	/// <summary>
	/// In IE, if a parent frame has a different domain than the child page, the session data 
	/// (stored in the Session object) is not preserved as a security precaution.
	/// http://wiki.developers.facebook.com/index.php/ASP.NET
	/// </summary>
	/// <param name="e"></param>
	protected override void OnPreRender(EventArgs e)
	{
		Response.AppendHeader("P3P", "CP=\"CAO PSA OUR\"");
		base.OnPreRender(e);
	}
}
