using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using facebook.web;

public partial class Site : CanvasIFrameMasterPage
{
	new protected void Page_Init(object sender, EventArgs e)
	{
		base.API.ApplicationKey = ConfigurationManager.AppSettings["appkey"];
		base.API.Secret = ConfigurationManager.AppSettings["secret"];
		base.Page_Init(sender, e);
	}

	/// <summary>
	/// In IE, if a parent frame has a different domain than the child page, the session 
	/// data (stored in the Session object) is not preserved as a security precaution.
	/// </summary>
	/// <param name="e"></param>
	protected override void OnPreRender(EventArgs e)
	{
		Response.AppendHeader("P3P", "CP=\"CAO PSA OUR\"");
		base.OnPreRender(e);
	}
}
